Labelling: replace a space with return conflicts with Return within a string

2015-05-14 09:52 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20849

Description

Return within a string and the option to replace a character (typically space) with return do not interact nicely (the return within a string not

being used).

More details:

    -  if the return and the wrap character are in the same string, the return is not taken into account, it becomes a simple space;

    -  if the wrap character appears before the return, even in a separate string, the return is not taken into account, it becomes a simple

space.

    -  Only returns written before a wrap character, in a separate string, are applied.

Thanks DelazJ.

Associated revisions

Revision 4b4075b5 - 2015-05-18 10:18 PM - Nyall Dawson

[labeling] Fix setting a wrap character conflicts with newlines

in label text (fix #12750)

Revision e0aa69d9 - 2015-05-18 10:26 PM - Nyall Dawson

[labeling] Fix setting a wrap character conflicts with newlines

in label text (fix #12750)

History

#1 - 2015-05-18 01:18 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4b4075b5b94d84abf51831409626b6321898c40e".
